//     ___  ___         PaLM library for Choco system
//    /__ \/ __\        (c) 2001 - 2004 -- Narendra Jussien
//   ____\ |/_____
//  /_____\/_____ \     Explanation based constraint programming tool
// |/   (_)(_)   \|
//       \ /            Version 0.1
//       \ /            January 2004
//       \ /
// ______\_/_______     Contibutors: Franois Laburthe, Hadrien Cambazard, Guillaume Rochart...

package choco.palm.integer.explain;

import choco.palm.integer.PalmIntVar;
import choco.Problem;

public abstract class AbstractBoundExplanation extends choco.palm.explain.GenericExplanation implements IBoundExplanation {
  int previousValue;
  PalmIntVar variable;

  public AbstractBoundExplanation(Problem pb) {
    super(pb);
  }

  public int getPreviousValue() {
    return previousValue;
  }

  public PalmIntVar getVariable() {
    return variable;
  }
}
