//     ___  ___         PaLM library for Choco system
//    /__ \/ __\        (c) 2001 - 2004 -- Narendra Jussien
//   ____\ |/_____
//  /_____\/_____ \     Explanation based constraint programming tool
// |/   (_)(_)   \|
//       \ /            Version 0.1
//       \ /            January 2004
//       \ /
// ______\_/_______     Contibutors: Franois Laburthe, Hadrien Cambazard, Guillaume Rochart...

package choco.palm.real.explain;

import choco.palm.explain.Explanation;
import choco.palm.real.PalmRealVar;

public interface RealBoundExplanation extends Explanation {
  /**
   * Returns the previous value of the bound (that is value the variable bound should equal if
   * this explanaation is not valid anymore).
   */
  public double getPreviousValue();

  /**
   * Returns the variable involved by this explanation.
   * @return
   */
  public PalmRealVar getVariable();
}
