package choco.set.var;

import choco.ContradictionException;
import choco.prop.VarEventListener;

/**
 * Created by IntelliJ IDEA.
 * User: Hadrien
 * Date: 6 juin 2004
 * Time: 14:08:38
 * To change this template use File | Settings | File Templates.
 */
public interface SetVarEventListener extends VarEventListener {
  /**
   * Default propagation on kernel modification: propagation on adding a value to the kernel.
   */
  public void awakeOnKer(int varIdx, int x) throws ContradictionException;


 /**
   * Default propagation on enveloppe modification: propagation on removing a value from the enveloppe.
   */
  public void awakeOnEnv(int varIdx, int x) throws ContradictionException;



  /**
   * Default propagation on instantiation.
   */
  public void awakeOnInst(int varIdx) throws ContradictionException;

}
