// *********************************************
// *                   J-CHOCO                 *
// *   Copyright (c) F. Laburthe, 1999-2003    *
// *********************************************
// * Event-base contraint programming Engine   *
// *********************************************

// CVS Information
// File:               $RCSfile: Arithm.java,v $
// Version:            $Revision: 1.1.1.1 $
// Last Modification:  $Date: 2004/05/11 13:51:51 $
// Last Contributor:   $Author: laburthe $

package choco.util;

import java.util.logging.Logger;

/**
 * Implements utilities for arithmetic (TODO: should disappear once I know Java better)
 */
public class Arithm {
  private static Logger logger = Logger.getLogger("choco.util");

  public static int divFloor(int a, int b) {
    assert(b > 0);
    if (a > 0)
      return (a / b);
    else
      return (a - b + 1) / b;
  }

  public static int divCeil(int a, int b) {
    assert(b > 0);
    if (a > 0)
      return ((a + b - 1) / b);
    else
      return a / b;
  }

  public static int min(int a, int b) {
    if (a <= b) {
      return a;
    } else {
      return b;
    }
  }

  public static int max(int a, int b) {
    if (a >= b) {
      return a;
    } else {
      return b;
    }
  }

}
