package choco.real.constraint;

import choco.Constraint;
import choco.integer.IntVar;
import choco.integer.IntConstraint;
import choco.integer.var.IntVarEventListener;
import choco.real.RealVar;
import choco.integer.var.IntVarEventListener;

/**
 * An interface for mixed constraint : interger and flot variables.
 */
public interface MixedConstraint extends Constraint, RealListener, IntConstraint {
  public RealVar getRealVar(int i);
  public int getRealVarNb();
  public IntVar getIntVar(int i);
  public int getIntVarNb();
}
