package choco.test.mem;

import junit.framework.Test;

import java.util.logging.Logger;

public class TestSuite extends junit.framework.TestSuite {
  private static Logger logger = Logger.getLogger("choco.test.mem");

  public static Test suite() {
    TestSuite test = new TestSuite();

    logger.fine("Build TestSuite for choco.test.mem");
    test.addTestSuite(StoredIntTest.class);
    test.addTestSuite(StoredIntVectorTest.class);
    test.addTestSuite(StoredBitSetTest.class);

    return test;
  }
}
